# ============================================================================
#  Name     : Icons_scalable_dc.mk
#  Description : This is file for creating .mif file (scalable icons)
#  Version     : 
# ==============================================================================

ifeq (WINS,$(findstring WINS, $(PLATFORM)))
ZDIR=$(EPOCROOT)epoc32\release\$(PLATFORM)\$(CFG)\Z
else
ZDIR=$(EPOCROOT)epoc32\data\z
endif

TARGETDIR=$(ZDIR)\resource\apps
HEADERDIR=$(EPOCROOT)epoc32\include

ICONTARGETFILENAMES=$(TARGETDIR)\Journey.mif
ICONHEADERFILENAMES=$(HEADERDIR)\Journey.mbg

do_nothing :
	@rem do_nothing

MAKMAKE : do_nothing

BLD : do_nothing

CLEAN : 
	erase $(ICONHEADERFILENAMES) $(ICONTARGETFILENAMES) 2>>nul

LIB : do_nothing

CLEANLIB : do_nothing

RESOURCE :
	mifconv $(ICONTARGETFILENAMES)  \
		 /H$(ICONHEADERFILENAMES)  \
		 /c32 ..\gfx\hat.svg  \
		 ..\gfx\areaBureau.svg  \
		 ..\gfx\areaStreets.svg  \
		 ..\gfx\storyTheEnd.svg  \
		 ..\gfx\storyBureauSurprise.svg  \
		 ..\gfx\storyBureauPhoto.svg  \
		 ..\gfx\storyBarMaid.svg  \
		 ..\gfx\storyBureauGirl.svg  \
		 ..\gfx\interfaceBackground.svg  \
		 ..\gfx\storyBarGuy.svg  \
		 ..\gfx\areaFactory.svg  \
		 ..\gfx\areaBar.svg  \
		 ..\gfx\storyFactoryGuys.svg  \
		 ..\gfx\journeyTitleBg.svg  \
		 ..\gfx\storyBureauSun.svg  \
		 ..\gfx\storyBureauGuy.svg \
		 /c32,8 ..\gfx\journeyTitleText.svg


FREEZE : do_nothing

SAVESPACE : do_nothing

RELEASABLES :
	@echo $(ICONTARGETFILENAMES) 

FINAL : do_nothing

